Deploy an agentic workflow
curl --request POST \
--url https://api.qovery.com/agenticWorkflow/{agenticWorkflowId}/deploy \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qovery.com/agenticWorkflow/{agenticWorkflowId}/deploy"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qovery.com/agenticWorkflow/{agenticWorkflowId}/deploy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "BUILDING",
"service_deployment_status": "NEVER_DEPLOYED",
"is_part_last_deployment": true,
"status_details": {
"action": "DEPLOY",
"status": "QUEUED",
"sub_action": "NONE"
},
"deployment_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deployment_requests_count": 123,
"last_deployment_date": "2023-11-07T05:31:56Z",
"steps": {
"total_duration_sec": 123,
"total_computing_duration_sec": 123,
"details": [
{
"step_name": "REGISTRY_CREATE_REPOSITORY",
"status": "ONGOING",
"duration_sec": 123,
"started_at": "2023-11-07T05:31:56Z"
}
]
},
"execution_id": "<string>"
}Agentic Workflows
Deploy an agentic workflow
Deploy the agentic workflow service so its configuration can be tested. Routine runs of the workflow are triggered by its webhook or its schedule, not by this endpoint.
POST
/
agenticWorkflow
/
{agenticWorkflowId}
/
deploy
Deploy an agentic workflow
Authorizations
bearerAuthApiKeyAuth
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Response
Deploy agentic workflow
Available options:
BUILDING, BUILD_ERROR, CANCELED, CANCELING, DELETED, DELETE_ERROR, DELETE_QUEUED, DELETING, DEPLOYED, DEPLOYING, DEPLOYMENT_ERROR, DEPLOYMENT_QUEUED, EXECUTING, QUEUED, READY, RECAP, RESTARTED, RESTARTING, RESTART_ERROR, RESTART_QUEUED, STOPPED, STOPPING, STOP_ERROR, STOP_QUEUED, UNAVAILABLE, WAITING_DELETING, WAITING_RESTARTING, WAITING_RUNNING, WAITING_STOPPING Available options:
NEVER_DEPLOYED, OUT_OF_DATE, UP_TO_DATE Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?